#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		pname	lin_tape
Summary:	IBM Tape SCSI Device Driver for Linux
Name:		%{pname}%{_alt_kernel}
Version:	2.9.4
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL v2/LGPL
Group:		Base/Kernel
Source0:	%{pname}-%{version}.tgz
# Source0-md5:	343e4fbc132880bdecb4f66f061112e9
Patch0:		use-module-dir.patch
Patch1:		linux-3.19.patch
Patch2:		insecure-perms.patch
# System Storage, Tape systems, Tape drivers and software, Tape device drivers (Linux)
URL:		http://www.ibm.com/support/fixcentral/
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IBM Tape Device Driver, lin_tape, product is a device driver that
provides attachment for the IBM TotalStorage and System Storage tape
devices to Linux compatible platforms.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-scsi-lin_tape\
Summary:	IBM Tape SCSI Device Driver for Linux\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-scsi-lin_tape\
The IBM Tape Device Driver is a device driver that provides attachment\
for the IBM TotalStorage and System Storage tape devices to Linux\
compatible platforms.\
\
%post	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%files -n kernel%{_alt_kernel}-scsi-lin_tape\
%defattr(644,root,root,755)\
%doc lin_tape.fixlist lin_tape_Ultrium.ReadMe lin_tape_359X.ReadMe\
/lib/modules/%{_kernel_ver}/kernel/drivers/scsi/lin_tape.ko*\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -m lin_tape\
%install_kernel_modules -D installed -m lin_tape -d kernel/drivers/scsi\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifarch %{ix86} ia64
proc="Intel"
%endif
%ifarch %{x8664} x32
proc="AMD"
%endif
%ifarch ppc ppc64 powerpc powerpc64
proc="pSeries"
%endif
%ifarch s390 s390x
proc="zSeries"
%endif

%{__cp} -af lin_tape_359X_${proc}.ReadMe lin_tape_359X.ReadMe
%{__cp} -af lin_tape_Ultrium_${proc}.ReadMe lin_tape_Ultrium.ReadMe

%{__mv} Makefile Makefile.IBM
%{__cp} -af Makefile.GPL Makefile

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Thu Nov 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lin_tape.git;a=log;h=auto/th/lin_tape-2.9.4-1

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> bc5f110
- up to 2.9.4
- fixe building with linux 3.19

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> dcba2e2
- added x32 to arch mix
- rel 3

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 9cd78c5
- rel 2

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 616d29c
- updated kernel module build system

* Sun Nov 09 2014 Jan Rękorajski <baggins@pld-linux.org> f2747b6
- fix insecure permission on /proc files (build fails on 3.17)
- rel 1

* Sat Nov 08 2014 Jan Rękorajski <baggins@pld-linux.org> f22409b
- up to 2.9.1

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 43ca874
- up to 2.3.0

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> d7fb0fa
- switch to macro driven module build for multiple kernel versions
- rel 8

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 6970de8
- make kernel patch version independent

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> f604bd1
- rebuild for kernel-3.10.15-1
- release 7 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> f071353
- rebuild for kernel-3.10.14-1
- release 6 (by relup.sh)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 1549308
- rebuild for kernel-3.10.13-1
- release 5 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> 1eff61b
- rebuild for kernel-3.10.12-1
- release 4 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> 3f5b48f
- rebuild for kernel-3.10.11-1
- release 3 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> e9fe29d
- rebuild for kernel-3.10.10-1
- release 2 (by relup.sh)

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> dbbe855
- up to 2.1.0
- fix building with linux 3.10

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> 040a288
- rebuild for kernel-3.10.9-1
- release 23 (by relup.sh)

* Thu Aug 15 2013 Jan Rękorajski <baggins@pld-linux.org> ad02db0
- release 22 (by relup.sh)

* Thu Jul 25 2013 Jan Rękorajski <baggins@pld-linux.org> 552249a
- rebuild for kernel-3.9.11-1
- release 21 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> 7cd19f7
- rebuild for kernel-3.9.9-1
- release 20 (by relup.sh)

